Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# VrpnClient Class Reference

A specific ClientBase that connects to a VRPN server and records information on the connected VRPN devices. More...

Inheritance diagram for VrpnClient:

List of all members.

## Public Member Functions
| VrpnClient (string server_name)
string | getServerName ()
| Returns the name of the server as passed to the VrpnClient constructor.
bool | isConnected ()
| Returns true if the connection is established successfully, false otherwise.
bool | isValid ()
| Returns true if everything seems to be kosher with the server (even if there is no connection), or false otherwise.
| write (ostream out)
| Writes a list of the active devices that the VrpnClient is currently polling each frame.
| write (ostream out, int indent_level)
| Writes a list of the active devices that the VrpnClient is currently polling each frame.
## Static Public Member Functions
static TypeHandle | getClassType ()

## Detailed Description

A specific ClientBase that connects to a VRPN server and records information on the connected VRPN devices.

## Constructor & Destructor Documentation

VrpnClient | ( | string | server_name | ) |

## Member Function Documentation

static TypeHandle getClassType | ( |  | ) | `[static]`

Reimplemented from ClientBase.

string getServerName | ( |  | ) |

Returns the name of the server as passed to the VrpnClient constructor.

bool isConnected | ( |  | ) |

Returns true if the connection is established successfully, false otherwise.

bool isValid | ( |  | ) |

Returns true if everything seems to be kosher with the server (even if there is no connection), or false otherwise.

write | ( | ostream | out | ) |

Writes a list of the active devices that the VrpnClient is currently polling each frame.

write | ( | ostream | out,
|  | int | indent_level
| ) |  |

Writes a list of the active devices that the VrpnClient is currently polling each frame.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties